> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ctrl-hub.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a vehicle model

> Apply a partial update to a vehicle model.



## OpenAPI

````yaml /api-reference/openapi.yaml patch /v3/vehicle-models/{vehicle_model_id}
openapi: 3.1.0
info:
  contact:
    email: support@ctrl-hub.com
    name: Ctrl Hub
    url: https://www.ctrl-hub.com
  description: >
    Ctrl Hub is the all-in-one platform for high-risk industries like utilities,
    construction, infrastructure, and renewables. We help teams manage
    everything from risk assessments and HAVS exposure to vehicle and equipment
    checks, with a guaranteed minimum of 200% ROI.
  license:
    name: MIT License
    url: https://opensource.org/licenses/MIT
  summary: An API for managing your compliance and risk posture
  termsOfService: https://www.ctrl-hub.com/terms-conditions
  title: Ctrl Hub
  version: 1.0.0
servers:
  - description: Production
    url: https://api.ctrl-hub.com
  - description: Staging
    url: https://api.ctrl-hub.dev
  - description: Development
    url: https://api.ctrl-hub.run
security: []
tags:
  - description: |
      Audit events are the events that are logged by the system.
    name: Audit Events
  - description: |
      View the platform's health and availability.
    name: Status
  - description: >
      User-owned dashboards composed of cards on a fixed-slot bento layout.
      Cards come from a per-domain registry; the API stores their config as
      opaque JSON.
    name: Dashboards
  - description: |
      Manage appointments for work to be carried out with your customers
    name: Customer Appointments
  - description: |
      Manage interactions you have with your customers
    name: Customer Interactions
  - description: |
      Manage accounts for your customers
    name: Customer Accounts and Contacts
  - description: |
      Qualifications are the skills and knowledge that an organisation requires.
    name: Qualifications
  - description: |
      Workflows allow you to automate your processes.
    name: Workflows
  - description: |
      Manage documents
    name: Documents
  - description: |
      Manage documents
    name: Folders
  - description: |
      Manage documents
    name: Document Reviews
  - description: |
      Manage feature configurations for an organisation.
    name: Feature Configurations
  - description: |
      Equipment are the physical assets that an organisation manages.
    name: Equipment
  - description: |
      Manage your forms and their schemas
    name: Forms, Schemas and Categories
  - description: |
      Create and view form submissions
    name: Submissions
  - description: |
      View the roles available in the system.
    name: IAM Roles
  - description: >
      IAM role groups can be assigned to principals to manage authorisation
      centrally.
    name: IAM Role Groups
  - description: |
      Manage service accounts which can access the API programmatically.
    name: Service Accounts
  - description: |
      Manage bridges between organisations.
    name: Bridges
  - description: |
      Manage settings for an organisation.
    name: Settings
  - description: |
      Manage teams within an organisation.
    name: Teams
  - description: |
      Manage job roles within an organisation.
    name: Job Roles
  - description: |
      Manage users and accounts.
    name: Users
  - description: |
      Invite and manage invitations to organisations.
    name: Invitations
  - description: >
      IAM grants are the asignment of roles or permissions to principals to
      manage resource access.
    name: IAM Grants
  - description: |
      View the permissions available in the system.
    name: IAM Permissions
  - description: |
      SSO providers are the identity providers for an organisation.
    name: SSO Providers
  - description: |
      Whoami returns information about the currently authenticated principal.
    name: Whoami
  - description: |
      Manage your images
    name: Images
  - description: >
      Organisations are the center point for most resources in the platform.
      Most other endpoints are subresources of an organisation.
    name: Organisations
  - description: |
      Permits managements, integrated with street manager.
    name: Permits
  - description: |
      Projects manage your work and governance.
    name: Projects
  - description: >
      Import templates allow users to save and reuse their CSV importer
      configuration as named templates.
    name: Import Templates
  - description: |
      Properties are the physical locations.
    name: Properties
  - description: |
      Search across schemes, work orders, and operations.
    name: Search
  - description: |
      Provides the API specification in JSON and YAML formats
    name: Specifications
  - description: |
      Streets are the physical roads.
    name: Streets
  - description: |
      Integration with street manager
    name: Street Manager
  - description: |
      Vehicles are the physical vehicles that an organisation manages.
    name: Vehicles
  - description: >
      Scheme contracts (also known as regions) group schemes allocated from the
      network to a contractor.
    name: Scheme Contracts
  - description: >
      Scheme shares allow you to share your schemes with other organisations
      across bridges.
    name: Scheme Shares
  - description: |
      Schemes are large programmes of work
    name: Schemes
  - description: |
      Work orders the component parts of a scheme.
    name: Work Orders
  - description: |
      Operations are the work to be carried out within work orders.
    name: Operations
externalDocs:
  description: More documentation and resources
  url: https://docs.ctrl-hub.com
paths:
  /v3/vehicle-models/{vehicle_model_id}:
    patch:
      tags:
        - Vehicles
      summary: Update a vehicle model
      description: Apply a partial update to a vehicle model.
      operationId: UpdateVehicleModel
      parameters:
        - $ref: '#/components/parameters/vehicle_model_id'
      requestBody:
        $ref: '#/components/requestBodies/UpdateVehicleModel'
      responses:
        '200':
          $ref: '#/components/responses/GetVehicleModel'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorised'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - Session: []
        - Cookie: []
        - OAuth2: []
components:
  parameters:
    vehicle_model_id:
      name: vehicle_model_id
      in: path
      required: true
      description: The unique identifier for the vehicle model.
      schema:
        type: string
        format: uuid
      example: 7c4f9a35-bb22-4e21-a07d-2c3d4e5f6071
  requestBodies:
    UpdateVehicleModel:
      required: true
      description: The vehicle model to update.
      content:
        application/vnd.api+json:
          schema:
            type: object
            required:
              - data
            properties:
              data:
                type: object
                required:
                  - type
                  - id
                properties:
                  id:
                    type: string
                    format: uuid
                  type:
                    type: string
                    const: vehicle-models
                  attributes:
                    type: object
                    properties:
                      name:
                        type:
                          - string
                          - 'null'
                  relationships:
                    type: object
                    properties:
                      categories:
                        type: object
                        properties:
                          data:
                            type: array
                            items:
                              $ref: '#/components/schemas/VehicleCategoryRelationship'
  responses:
    GetVehicleModel:
      description: Get a vehicle model.
      headers:
        Content-Type:
          $ref: '#/components/headers/content-type'
        Content-Length:
          $ref: '#/components/headers/content-length'
        X-Request-ID:
          $ref: '#/components/headers/x-request-id'
      content:
        application/vnd.api+json:
          schema:
            allOf:
              - type: object
                required:
                  - data
                properties:
                  data:
                    $ref: '#/components/schemas/VehicleModel'
                  included:
                    $ref: '#/components/schemas/VehicleModelIncludes'
              - $ref: '#/components/schemas/JSONAPI'
    BadRequest:
      description: >
        There was an error with the request - this could be due to an invalid
        body, query parameters,

        or headers that were sent to the API.
      headers:
        Content-Type:
          $ref: '#/components/headers/content-type'
        Content-Length:
          $ref: '#/components/headers/content-length'
        X-Request-ID:
          $ref: '#/components/headers/x-request-id'
      content:
        application/vnd.api+json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  $ref: '#/components/schemas/Error'
          example:
            id: 98ca4a78-b66f-4234-9719-aaf832ee6669
            status: '400'
            title: A validation error was encountered
            source:
              parameter: include
            meta:
              resource: wrong_value
    Unauthorised:
      description: Authentication failed
      headers:
        Content-Type:
          $ref: '#/components/headers/content-type'
        Content-Length:
          $ref: '#/components/headers/content-length'
        X-Request-ID:
          $ref: '#/components/headers/x-request-id'
      content:
        application/vnd.api+json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  $ref: '#/components/schemas/Error'
          example:
            id: 05fc9c8d-73b9-4697-9337-57f7a567a48f
            status: '401'
            title: You are not authorised to access this resource
            detail: In order to access this resource, you need the 'admin' role.
            code: AUTH.001
    NotFound:
      description: The requested resource could not be found
      headers:
        Content-Type:
          $ref: '#/components/headers/content-type'
        Content-Length:
          $ref: '#/components/headers/content-length'
        X-Request-ID:
          $ref: '#/components/headers/x-request-id'
      content:
        application/vnd.api+json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  $ref: '#/components/schemas/Error'
          example:
            id: 7b4c8f12-3e9a-4d5b-8c6f-1a2b3c4d5e6f
            status: '404'
            title: Resource not found
            detail: The requested resource could not be found or does not exist.
            code: NOT_FOUND.001
    InternalServerError:
      description: There was a problem handling the request on the server side
      headers:
        Content-Type:
          $ref: '#/components/headers/content-type'
        Content-Length:
          $ref: '#/components/headers/content-length'
        X-Request-ID:
          $ref: '#/components/headers/x-request-id'
      content:
        application/vnd.api+json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  $ref: '#/components/schemas/Error'
          example:
            id: fe9d9a69-f0a7-4fdc-bb2c-176027f316c5
            status: '500'
            title: Internal Server Error
            detail: An unexpected error occurred on the server.
  schemas:
    VehicleCategoryRelationship:
      type: object
      description: Represents a relationship to a vehicle category
      required:
        - id
        - type
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the vehicle category
        type:
          type: string
          const: vehicle-categories
    VehicleModel:
      type: object
      description: A vehicle model
      required:
        - id
        - type
        - attributes
        - meta
        - relationships
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the vehicle model.
        type:
          type: string
          const: vehicle-models
        attributes:
          $ref: '#/components/schemas/VehicleModelAttributes'
        meta:
          $ref: '#/components/schemas/VehicleModelMeta'
        relationships:
          $ref: '#/components/schemas/VehicleModelRelationships'
    VehicleModelIncludes:
      type: array
      description: Related resources that can be included when a vehicle model is returned.
      items:
        discriminator:
          propertyName: type
          mapping:
            vehicle-categories:
              $ref: '#/components/schemas/VehicleCategory'
            vehicle-manufacturers:
              $ref: '#/components/schemas/VehicleManufacturer'
        oneOf:
          - $ref: '#/components/schemas/VehicleCategory'
          - $ref: '#/components/schemas/VehicleManufacturer'
    JSONAPI:
      type: object
      description: JSON API response object
      required:
        - jsonapi
      properties:
        jsonapi:
          type: object
          required:
            - version
          properties:
            version:
              type: string
              description: The version of the JSON API specification
              examples:
                - '1.0'
    Error:
      type: object
      description: An error response
      properties:
        id:
          description: >-
            A unique identifier for this particular occurrence of the problem.
            If you encounter this, please provide us with the error ID and we
            can investigate it on our side.
          type: string
          format: uuid
          examples:
            - 05fc9c8d-73b9-4697-9337-57f7a567a48f
        status:
          description: >-
            The status code for the error. This might not match the HTTP status
            code if there are more that one errors to return with different
            status codes.
          type: string
          examples:
            - '401'
            - '500'
        title:
          description: A human readable title for the error.
          type: string
          examples:
            - You are not authorised to access this resource
        detail:
          description: >-
            Where there is more detail that we can provide outside of the title,
            we will provide it here.
          type: string
          examples:
            - In order to access this resource, you need the 'admin' role.
        code:
          description: >-
            A unique code for the error that may help us to diagnose the issue.
            Not all errors have codes, so this is usually empty.
          type: string
          examples:
            - AUTH.001
        source:
          description: A JSON object containing additional information about the error.
          type: object
          properties:
            pointer:
              description: >-
                A JSON Pointer to the value in the request that caused the
                error.
              type: string
              examples:
                - /data/attributes/email
            parameter:
              description: >-
                A string indicating which query parameter in the request caused
                the error.
              type: string
              examples:
                - include
      required:
        - id
        - status
        - title
    VehicleModelAttributes:
      type: object
      description: Attributes for a vehicle model
      required:
        - name
      properties:
        name:
          type: string
          description: The model name.
          examples:
            - Transit
    VehicleModelMeta:
      type: object
      description: Metadata for a vehicle model
      required:
        - created_at
        - updated_at
      properties:
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    VehicleModelRelationships:
      type: object
      description: Relationships for a vehicle model
      required:
        - manufacturer
      properties:
        manufacturer:
          type: object
          required:
            - data
          properties:
            data:
              $ref: '#/components/schemas/VehicleManufacturerRelationship'
        categories:
          type: object
          required:
            - data
          properties:
            data:
              type: array
              items:
                $ref: '#/components/schemas/VehicleCategoryRelationship'
    VehicleCategory:
      type: object
      description: A vehicle category
      required:
        - id
        - type
        - attributes
        - meta
        - relationships
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the vehicle category.
        type:
          type: string
          const: vehicle-categories
        attributes:
          $ref: '#/components/schemas/VehicleCategoryAttributes'
        meta:
          $ref: '#/components/schemas/VehicleCategoryMeta'
        relationships:
          $ref: '#/components/schemas/VehicleCategoryRelationships'
    VehicleManufacturer:
      type: object
      description: A vehicle manufacturer
      required:
        - id
        - type
        - attributes
        - meta
        - relationships
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the vehicle manufacturer.
        type:
          type: string
          const: vehicle-manufacturers
        attributes:
          $ref: '#/components/schemas/VehicleManufacturerAttributes'
        meta:
          $ref: '#/components/schemas/VehicleManufacturerMeta'
        relationships:
          $ref: '#/components/schemas/VehicleManufacturerRelationships'
    VehicleManufacturerRelationship:
      type: object
      description: Represents a relationship to a vehicle manufacturer
      required:
        - id
        - type
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier for the vehicle manufacturer
        type:
          type: string
          const: vehicle-manufacturers
    VehicleCategoryAttributes:
      type: object
      description: Attributes for a vehicle category
      properties:
        name:
          type: string
          description: The vehicle category name
    VehicleCategoryMeta:
      type: object
      description: Metadata for a vehicle category
      required:
        - created_at
        - updated_at
      properties:
        created_at:
          type: string
          format: date-time
          description: The date and time when the vehicle category was created
        updated_at:
          type: string
          format: date-time
          description: The date and time when the vehicle category was last updated
    VehicleCategoryRelationships:
      type: object
      description: >-
        Relationships for a vehicle category (none currently exposed; vehicles
        using this category are queried via the vehicles endpoint with a
        category filter).
    VehicleManufacturerAttributes:
      type: object
      description: Attributes for a vehicle manufacturer
      required:
        - name
      properties:
        name:
          type: string
          description: The manufacturer name.
          examples:
            - Ford
    VehicleManufacturerMeta:
      type: object
      description: Metadata for a vehicle manufacturer
      required:
        - created_at
        - updated_at
      properties:
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    VehicleManufacturerRelationships:
      type: object
      description: >-
        Relationships for a vehicle manufacturer (none currently exposed; models
        are queried via `?filter=eq(manufacturer,xxx)` on the vehicle-models
        endpoint).
  headers:
    content-type:
      description: The content type of the response
      schema:
        type: string
      example: application/vnd.api+json
    content-length:
      description: The length of the response body in bytes
      schema:
        type: integer
        format: int32
      example: 1234
    x-request-id:
      description: >-
        An ID that can be provided when reporting bugs to help identify the
        issue
      schema:
        type: string
      example: 8470f56af4cf25e22be08e72c70dbbdc
  securitySchemes:
    Session:
      description: |
        Session token for authentication.
      in: header
      name: X-Session-Token
      type: apiKey
    Cookie:
      description: |
        Cookie token for authentication.
      in: cookie
      name: ctrl_hub_session
      type: apiKey
    OAuth2:
      description: |
        OAuth2 token for authentication.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: https://auth.ctrl-hub.com/oauth2/token
      type: oauth2

````